export default {
    init(vm){
        return {
			// 启动页
			pageList({document_code}) {
				return vm.$u.post('StartUp/pageList', {});
			},
			// 首页协议
			documentInfo({document_code}) {
				return vm.$u.post('StartUp/documentInfo', {
					document_code : document_code
				});
			},
			//获取验证码接口
			sendSmsCode({member_mobile, smslog_type}) {
				return vm.$u.post('sms/sendSmsCode', {
					member_mobile: member_mobile, 
					smslog_type: smslog_type
				});
			},
			// 用户验证码登录
			phoneLogin({member_mobile, sms_code}) {
				return vm.$u.post('auth/phoneLogin', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			//手机号（用户）注册
			phoneRegister({member_mobile, sms_code}) {
				return vm.$u.post('auth/phoneRegister', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			// 微信授权登录
			wechatLogin({member_wxopenid, member_nickname,member_avatar}) {
				return vm.$u.post('auth/wechatLogin', {
					member_wxopenid: member_wxopenid, 
					member_nickname: member_nickname,
					member_avatar : member_avatar
				});
			},
			// qq授权登录
			qqLogin({member_qqopenid, member_nickname,member_avatar}) {
				return vm.$u.post('auth/qqLogin', {
					member_qqopenid: member_qqopenid, 
					member_nickname: member_nickname,
					member_avatar : member_avatar
				});
			},
			// 绑定手机号
			mobileBind({member_mobile,sms_code}) {
				return vm.$u.post('auth/mobileBind', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			// 使用帮助&售后政策列表
			getUseHelpList({ page, tid }) {
				return vm.$u.post('Member/UseHelpList', {
					page: page, 
					tid: tid,
				});
			},
			// 使用帮助&售后政策详情
			getUseHelpInfo({ launch_id }) {
				return vm.$u.post('Member/UseHelpInfo', {
					launch_id: launch_id,
				});
			},
			// 标签的列表
			labelList({}) {
				return vm.$u.post('StartUp/labelList', {});
			},
			// 获取地区列表
			getAreaList({ pid }) {
				return vm.$u.post('Area/areaList', {
					pid: pid,
				});
			},
			getArea() {
				return vm.$u.post('Area/getAreaTree');
			},
			// 用户收货地址列表
			getAddressList() {
				return vm.$u.post('MemberAddress/addressList');
			},
			// 添加收货地址
			addressAdd({ 
				area_id,
				city_id,
				is_default,
				area_info,
				address,
				true_name,
				mobile_phone,
				// longitude, 
				// latitude,
		 	}) {
				return vm.$u.post('memberAddress/addressAdd', { 
					area_id: area_id,
					city_id: city_id,
					is_default: is_default,
					area_info: area_info,
					address: address,
					true_name: true_name,
					mobile_phone: mobile_phone,
					// longitude: longitude,
					// latitude: latitude,
				 });
			},
			// 修改收货地址
			addressEdit({
				address_id,
				area_id,
				city_id,
				is_default,
				area_info,
				address,
				true_name,
				mobile_phone,
				// longitude,
				// latitude,
		 	}) {
				return vm.$u.post('memberAddress/addressEdit', { 
					address_id: address_id,
					area_id: area_id,
					city_id: city_id,
					is_default: is_default,
					area_info: area_info,
					address: address,
					true_name: true_name,
					mobile_phone: mobile_phone,
					// longitude: longitude,
					// latitude: latitude,
				 });
			},
			// 删除地址
			deleteAddress({ address_id }) {
				return vm.$u.post('memberAddress/addressDel', {
					address_id: address_id
				});
			},
			// 设默认地址
			setDefaultAddress({ address_id }) {
				return vm.$u.post('memberAddress/addressSetDefault', {
					address_id: address_id
				});
			},
			// 美甲
			getManicureList({ page }) {
				return vm.$u.post('MemberManicure/getManicureList', {
					page: page
				});
			},
			// 美甲-提交订单
			addManicure({ name, time }) {
				return vm.$u.post('MemberManicure/addManicure', {
					name: name,
					time: time
				});
			},
			// 会员服务-积分数
			getMemberPointsStat() {
				return vm.$u.post('member/memberPointsStat');
			},
			// 会员服务-积分列表
			getPointslogList() {
				return vm.$u.post('member/pointslogList');
			},
			// 收藏列表 商品 不传值;店铺 type: 2
			getFavoritesList({ type = undefined } = {}) {
				let params = {};
				if(type) Object.assign(params, {type: type})
				return vm.$u.post('Member/getFavoritesList', params);
			},
			// 取消收藏（商品/店铺）
			removeFavorite({ id, type }) {
				return vm.$u.post('Member/removeFavorite', {
					fav_id: id,
					type: type,
				});
			},
			// 设置-用户信息
			getMemberInfo() {
				return vm.$u.post('Member/MemberInfo');
			},
			// 设置-修改用户信息
			updateMemberInfo({ nickname, gender, avatar, birthday }) {
				return vm.$u.post('Member/changeMemberInfo', {
					nickname: nickname,
					sex: gender,
					avatar: avatar,
					birthday: birthday,
				});
			},
			// 修改绑定手机号
			changeMemberPhone({ old_mobile, old_code, new_mobile, new_code }) {
				return vm.$u.post('Member/memberChangeMobile', {
					old_mobile: old_mobile,
					old_code: old_code,
					new_mobile: new_mobile,
					new_code: new_code,
				});
			},
			// 设置-关于我们
			aboutUsInfo() {
				return vm.$u.post('Setting/AboutUsInfo');
			},
			// 设置-证照中心
			certificateInfo() {
				return vm.$u.post('Setting/CertificateInfo');
			},
			// 用户浏览记录
			getBrowseList({ page }) {
				return vm.$u.post('Member/BrowseList', {
					page: page,
				});
			},
			// 删除浏览记录
			delMemberBrowse({ goods_id }) {
				return vm.$u.post('Member/delMemberBrowse', {
					goods_id: goods_id,
				});
			},
			// 意见反馈列表
			getFeedbackList({ page }) {
				return vm.$u.post('Member/feedbackList', {
					page: page,
				});
			},
			// 意见反馈-写意见
			writeFeedback({ fb_content, fb_images }) {
				return vm.$u.post('Member/writeFeedback', {
					fb_content: fb_content,
					fb_images: fb_images,
				});
			},
			// 订单列表
			getOrderList({ page, type }) {
				let params = { page: page };
				if(type > 0) Object.assign(params, {type: type});
				return vm.$u.post('Order/orderList', params);
			},
			// 售后列表
			// getAfterSaleList({ page }) {
			// 	return vm.$u.post('order/afterSaleList', { page: page });
			// },
			// 试穿列表
			goodsTryOrderList() {
				return vm.$u.post('order/goodsTryOrderList');
			},
			// 试穿订单确认完成
			goodsTryConfirm({ id }) {
				return vm.$u.post('order/goodsTryConfirm', { id: id });
			},
			// 订单详情
			getOrderInfo({ order_id }) {
				return vm.$u.post('Order/orderInfo', { order_id: order_id });
			},
			// 取消订单
			cancelOrder({ order_id, msg = '' } = {}) {
				let params = { order_id: order_id };
				if(msg) Object.assign(params, {msg: msg});
				return vm.$u.post('Order/buyer_cancel', params);
			},
			// add_refund
			refundOrder({ order_id, goods_id, goods_num, reason_info, refund_amount } = {}) {
				return vm.$u.post('order/add_refund', { 
					order_id: order_id,
					goods_id: goods_id,
					refund_amount: refund_amount,
					goods_num: goods_num,
					reason_info: reason_info,
				});
			},
			// 删除订单
			deleteOrder({ order_id }) {
				return vm.$u.post('order/order_delete', { order_id: order_id });
			},
			// 确认收货
			confirmReceive ({ order_id }) {
				return vm.$u.post('Order/order_receive', { order_id: order_id });
			},
			// 查询订单的评价信息
			getOrderEvaluateInfo({ id }) {
				return vm.$u.post('Order/getOrderEvaluateInfo', { id: id });
			},
			orderLogistics({ id }) {
				return vm.$u.post('Order/orderLogistics', { order_id: id });
			},
			// 订单评价/修改评价
			updateOrderEvaluate({ id, content, scores_one, scores_two, scores_three, file }) {
				let params = {
					id: id,
					content: content,
					scores_one: scores_one,
					scores_two: scores_two,
					scores_three: scores_three,
				}
				if(file) Object.assign(params, { file: file });
				return vm.$u.post('Order/orderEvaluate', params);
			},
			// 信息模块
			messageIndex({ }) {
				return vm.$u.post('Message/messageIndex', { });
			},
			// 公告咨询列表
			informationList({ }) {
				return vm.$u.post('Message/informationList', { });
			},
			// 关注列表
			snsfriendList({page}) {
				return vm.$u.post('message/snsfriendList', {page});
			},
			// 关注达人
			attentionMember({ member_id }) {
				return vm.$u.post('member/attentionMember', { 
					member_id : member_id
				});
			},
			// 公告消息列表
			informationInfo({ }) {
				return vm.$u.post('message/informationInfo', { });
			},
			// 活动消息列表
			messageactivityList({ }) {
				return vm.$u.post('message/messageactivityList', { });
			},
			// 全部已读接口
			delMessage({ type }) {
				return vm.$u.post('message/delMessage', { type });
			},
			// 已读消息
			delMessage({ type }) {
				return vm.$u.post('/message/readMessage', { type });
			},
			// 已读消息
			refreshToken({  }) {
				return vm.$u.post('/Auth/refreshToken', { });
			},
			// 屏蔽列表
			articlShieldList() {
				return vm.$u.post('/Article/articlShieldList');
			},
			// 取消屏蔽
			articleDelShield({ id }) {
				return vm.$u.post('article/articleDelShield', { member_id: id });
			},
			// 配置
			getConfigInfo({ code }) {
				return vm.$u.post('Document/getConfigInfo', {
					code: code,
				});
			},
			// 送洗列表-平台订单 实体店订单
			sendLaundryOrderList({ type, page }) {
				return vm.$u.post('member/sendLaundryOrderList', {
					type: type,
					page: page,
				});
			},
			// 送洗-获取衣服类型
			getClothesTypeList() {
				return vm.$u.post('member/getClothesTypeList');
			},
			// 送洗评价
			sendOrderComment({ id, comment }) {
				return vm.$u.post('member/sendOrderComment', {
					id: id,
					comment: comment,
				});
			},
			// 送洗确认完成
			sendLaundryOrderConfirm({ id }) {
				return vm.$u.post('member/sendOrderConfirm', {
					id: id,
				});
			},
			// 提交送洗
			sendLaundrySave({ 
				type, 
				tid, 
				condition, 
				member_name, 
				member_phone, 
				area_info, 
				address_info,
				goods_name,
				order_id,
				goods_id,
				goods_images,
			}) {
				return vm.$u.post('member/sendLaundrySave', {
					type: type,
					tid: tid,
					condition: condition,
					member_name: member_name,
					member_phone: member_phone,
					area_info: area_info,
					address_info: address_info,
					goods_name: goods_name,
					order_id: order_id,
					goods_id: goods_id,
					goods_images: goods_images,
				});
			},
			// 送洗评论列表
			sendCommentList() {
				return vm.$u.post('member/sendCommentList');
			},
			// 发现收藏列表
			articleCollectList() {
				return vm.$u.post('article/articleCollectList');
			},
			// 关注用户列表
			attentionMemberList({ page = 1,role } = {}) {
				return vm.$u.post('member/attentionMemberList', { page,role });
			},
			// 可用优惠券商品
			couponGoodsList({ voucher_id, page, order }) {
				return vm.$u.post('Coupon/couponGoodsList', { 
					page: page,
					voucher_id: voucher_id,
					order: order,
				});
			},
			//取消红点
			dynamicRead({id}) {
				return vm.$u.post('message/dynamicRead', { 
					friend_tomid:id
				});
			},
			//店铺取关
			attentionMemberRemove({id}) {
				return vm.$u.post('Member/attentionMemberRemove', { 
					friend_tomid:id
				});
			},
		}
		
    }
}